#!/bin/sh

cd `query 'name="Swedish_Kit"'`

answer=`alert "You are now to uninstall the swedish kit. Do you want to proceed?" "No" "Yes"`

if [ $answer == "No" ]; then
	exit
fi

echo "Deleting keymaps..."

rm /boot/home/config/settings/Keymap/SwedishKeymap.AltSpecChar
rm /boot/home/config/settings/Keymap/SwedishKeymap.WinSpecChar

if [ -f /boot/home/config/settings/Keymap/Original-Keymap ]; then
	echo "Reloading the original keymap..."
	keymap -l /boot/home/config/settings/Keymap/Original-Keymap
	alert "Hit Use in the next window and then close it to preserve the changes." "OK"
	/boot/preferences/Keymap
	rm /boot/home/config/settings/Keymap/Original-Keymap
fi

if [ -f /boot/beos/system/Tracker-original ]; then
	rm /boot/beos/system/Tracker
	mv /boot/beos/system/Tracker-original /boot/beos/system/Tracker
	echo "Uninstalling the 24-hr Tracker..."
	kill -9 Tracker
#	alert "Press OK when the Tracker is gone and I'll relaunch it." "OK"
	/boot/beos/system/Tracker &
fi

if [ -f /boot/beos/system/Deskbar-original ]; then
	rm /boot/beos/system/Deskbar
	mv /boot/beos/system/Deskbar-original /boot/beos/system/Deskbar
	echo "Installing the new 24-hr Deskbar..."
	kill -9 Deskbar
#	alert "Press OK when the Deskbar is gone and I'll relaunch it." "OK"
	/boot/beos/system/Deskbar &
fi

echo "Finished!"

